brew install cpp-ethereum --with-gui : Qt problems

pciavaldpciavald Member Posts: 1
Hi,
I'm trying to install cpp-ethereum on Mac from this tutorial.
The first thing brew complained about was Qt5, so I realized I had to manually install it. I installed it in /Applications/Qt.
Then brew's cmake couldn't find the config files for Qt, so I manually exported the path for each error (is there a less dumb way of doing it ?) :
Qt5Core_DIR=/Applications/Qt/5.5/clang_64/lib/cmake/Qt5Core
Qt5DBus_DIR=/Applications/Qt/5.5/clang_64/lib/cmake/Qt5DBus
Qt5Widgets_DIR=/Applications/Qt/5.5/clang_64/lib/cmake/Qt5Widgets
Qt5PrintSupport_DIR=/Applications/Qt/5.5/clang_64/lib/cmake/Qt5PrintSupport
Qt5Network_DIR=/Applications/Qt/5.5/clang_64/lib/cmake/Qt5Network
Qt5WebEngine_DIR=/Applications/Qt/5.5/clang_64/lib/cmake/Qt5WebEngine
Qt5WebEngineCore_DIR=/Applications/Qt/5.5/clang_64/lib/cmake/Qt5WebEngineCore
Qt5WebEngineWidgets_DIR=/Applications/Qt/5.5/clang_64/lib/cmake/Qt5WebEngineWidgets
Qt5QuickTest_DIR=/Applications/Qt/5.5/clang_64/lib/cmake/Qt5QuickTest
Qt5Test_DIR=/Applications/Qt/5.5/clang_64/lib/cmake/Qt5Test
Now brew makes it to the make part, but after a while of compiling, i get this error :
cd [tmp-path]/alethzero && MACDEPLOYQT_APP-NOTFOUND [tmp-path]/AlethZero.app -executable=[tmp-path]/AlethZero.app/Contents/MacOS/AlethZero
/bin/sh: MACDEPLOYQT_APP-NOTFOUND: command not found
So it seems make doesn't find macdeployqt which is in /Applications/Qt/5.5/clang_64/bin (I added this to the PATH).



EDIT1: I found another post suggesting to brew install qt5, which I did.
Then I tried re relaunch the install in a clean env, cmake found Qt5Core but not the others.
Back to the qt prepared env, I relaunched the install and the make part is now done - but it stops at make install with this error :
[path-to]/otool: can't open file: @rpath/QtDBus.framework/Versions/5/QtDBus (No such file or directory)
So I checked and /Applications/Qt/5.5/clang_64/lib/QtDBus.framework/Versions/5/QtDBus
exists and has permissions -rwxr-xr-x pciavald admin.
Any insight ?



EDIT2: I also tried this in the qt prepared env :
brew install llvm --HEAD --with-clang
git clone --recursive https://github.com/ethereum/webthree-umbrella.git
cd webthree-umbrella && mkdir build && cd build
LLVM_DIR=/usr/local/Cellar/llvm/HEAD/share/llvm/cmake cmake ..
make
but it stops at 17% with a bunch of
error: no member named 'getNextNode' in 'llvm::Argument'
Post edited by pciavald on

Comments

  • ianlianl Member Posts: 1
    I believe you need to install dbus and then re-install qt5.
    brew install dbus
    brew reinstall qt5 --with-d-bus
    Then installing cpp-ethereum should progress.

    Cheers,
    Ian
  • gregorvolkmanngregorvolkmann Member Posts: 2
    Solved the Add the installation prefix of "Qt5Core" to CMAKE_PREFIX_PATH problem for me. Thank you very much!!
  • alexs512alexs512 Member Posts: 1
    I see a bunch of:

    [ 20%] Building CXX object libethereum/evmjit/libevmjit/CMakeFiles/evmjit.dir/Arith256.cpp.o
    /Users/alexeysimonov/dev/ethereum/webthree-umbrella/libethereum/evmjit/libevmjit/Arith256.cpp:86:14: error:
    no member named 'getNextNode' in 'llvm::Argument'
    auto y = x->getNextNode();
    ~ ^

    I did re-installed dbus and qt5 as mentioned above.
    Any ideas how to fix this?
Sign In or Register to comment.